nxt.http.callers

## Enum ApiSpec

- java.lang.Object
- - java.lang.Enum<ApiSpec>
  - - nxt.http.callers.ApiSpec

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ApiSpec>

      public enum ApiSpec
      extends java.lang.Enum<ApiSpec>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `addPeer`
    `approveTransaction`
    `blacklistAPIProxyPeer`
    `blacklistPeer`
    `bootstrapAPIProxy`
    `broadcastTransaction`
    `buyAlias`
    `calculateFullHash`
    `cancelAskOrder`
    `cancelBidOrder`
    `canDeleteCurrency`
    `castVote`
    `clearUnconfirmedTransactions`
    `createPoll`
    `currencyBuy`
    `currencyMint`
    `currencyReserveClaim`
    `currencyReserveIncrease`
    `currencySell`
    `decodeFileToken`
    `decodeHallmark`
    `decodeQRCode`
    `decodeToken`
    `decryptFrom`
    `deleteAccountProperty`
    `deleteAlias`
    `deleteAssetProperty`
    `deleteAssetShares`
    `deleteCurrency`
    `deleteScheduledTransaction`
    `detectMimeType`
    `dgsDelisting`
    `dgsDelivery`
    `dgsFeedback`
    `dgsListing`
    `dgsPriceChange`
    `dgsPurchase`
    `dgsQuantityChange`
    `dgsRefund`
    `dividendPayment`
    `downloadPrunableMessage`
    `downloadTaggedData`
    `dumpPeers`
    `encodeQRCode`
    `encryptTo`
    `eventRegister`
    `eventWait`
    `extendTaggedData`
    `fullHashToId`
    `fullReset`
    `generateFileToken`
    `generateToken`
    `getAccount`
    `getAccountAssetCount`
    `getAccountAssets`
    `getAccountBlockCount`
    `getAccountBlockIds`
    `getAccountBlocks`
    `getAccountCurrencies`
    `getAccountCurrencyCount`
    `getAccountCurrentAskOrderIds`
    `getAccountCurrentAskOrders`
    `getAccountCurrentBidOrderIds`
    `getAccountCurrentBidOrders`
    `getAccountExchangeRequests`
    `getAccountId`
    `getAccountLedger`
    `getAccountLedgerEntry`
    `getAccountLessors`
    `getAccountPhasedTransactionCount`
    `getAccountPhasedTransactions`
    `getAccountProperties`
    `getAccountPublicKey`
    `getAccountShufflings`
    `getAccountTaggedData`
    `getAlias`
    `getAliasCount`
    `getAliases`
    `getAliasesLike`
    `getAllAssets`
    `getAllBroadcastedTransactions`
    `getAllCurrencies`
    `getAllExchanges`
    `getAllOpenAskOrders`
    `getAllOpenBidOrders`
    `getAllPhasingOnlyControls`
    `getAllPrunableMessages`
    `getAllShufflings`
    `getAllTaggedData`
    `getAllTrades`
    `getAllWaitingTransactions`
    `getAskOrder`
    `getAskOrderIds`
    `getAskOrders`
    `getAsset`
    `getAssetAccountCount`
    `getAssetAccounts`
    `getAssetDeletes`
    `getAssetDividends`
    `getAssetHistory`
    `getAssetIds`
    `getAssetPhasedTransactions`
    `getAssetProperties`
    `getAssets`
    `getAssetsByIssuer`
    `getAssetTransfers`
    `getAssignedShufflings`
    `getAvailableToBuy`
    `getAvailableToSell`
    `getBalance`
    `getBidOrder`
    `getBidOrderIds`
    `getBidOrders`
    `getBlock`
    `getBlockchainStatus`
    `getBlockchainTransactions`
    `getBlockId`
    `getBlocks`
    `getBuyOffers`
    `getChannelTaggedData`
    `getConstants`
    `getCurrencies`
    `getCurrenciesByIssuer`
    `getCurrency`
    `getCurrencyAccountCount`
    `getCurrencyAccounts`
    `getCurrencyFounders`
    `getCurrencyIds`
    `getCurrencyPhasedTransactions`
    `getCurrencyTransfers`
    `getDataTagCount`
    `getDataTags`
    `getDataTagsLike`
    `getDGSExpiredPurchases`
    `getDGSGood`
    `getDGSGoods`
    `getDGSGoodsCount`
    `getDGSGoodsPurchaseCount`
    `getDGSGoodsPurchases`
    `getDGSPendingPurchases`
    `getDGSPurchase`
    `getDGSPurchaseCount`
    `getDGSPurchases`
    `getDGSTagCount`
    `getDGSTags`
    `getDGSTagsLike`
    `getECBlock`
    `getEpochTime`
    `getExchanges`
    `getExchangesByExchangeRequest`
    `getExchangesByOffer`
    `getExpectedAskOrders`
    `getExpectedAssetDeletes`
    `getExpectedAssetTransfers`
    `getExpectedBidOrders`
    `getExpectedBuyOffers`
    `getExpectedCurrencyTransfers`
    `getExpectedExchangeRequests`
    `getExpectedOrderCancellations`
    `getExpectedSellOffers`
    `getExpectedTransactions`
    `getForging`
    `getFundingMonitor`
    `getGuaranteedBalance`
    `getHoldingShufflings`
    `getInboundPeers`
    `getLastExchanges`
    `getLastTrades`
    `getLinkedPhasedTransactions`
    `getLog`
    `getMintingTarget`
    `getMyInfo`
    `getNextBlockGenerators`
    `getOffer`
    `getOrderTrades`
    `getPeer`
    `getPeers`
    `getPhasingOnlyControl`
    `getPhasingPoll`
    `getPhasingPolls`
    `getPhasingPollVote`
    `getPhasingPollVotes`
    `getPlugins`
    `getPoll`
    `getPollResult`
    `getPolls`
    `getPollVote`
    `getPollVotes`
    `getPrunableMessage`
    `getPrunableMessages`
    `getReferencingTransactions`
    `getScheduledTransactions`
    `getSellOffers`
    `getSharedKey`
    `getShufflers`
    `getShuffling`
    `getShufflingParticipants`
    `getStackTraces`
    `getState`
    `getTaggedData`
    `getTaggedDataExtendTransactions`
    `getTime`
    `getTrades`
    `getTransaction`
    `getTransactionBytes`
    `getUnconfirmedTransactionIds`
    `getUnconfirmedTransactions`
    `getVoterPhasedTransactions`
    `hash`
    `hexConvert`
    `increaseAssetShares`
    `issueAsset`
    `issueCurrency`
    `leaseBalance`
    `longConvert`
    `luceneReindex`
    `managePeersNetworking`
    `markHost`
    `parseTransaction`
    `placeAskOrder`
    `placeBidOrder`
    `popOff`
    `publishExchangeOffer`
    `readMessage`
    `rebroadcastUnconfirmedTransactions`
    `requeueUnconfirmedTransactions`
    `retrievePrunedData`
    `retrievePrunedTransaction`
    `rsConvert`
    `scan`
    `scheduleCurrencyBuy`
    `searchAccounts`
    `searchAssets`
    `searchCurrencies`
    `searchDGSGoods`
    `searchPolls`
    `searchTaggedData`
    `sellAlias`
    `sendMessage`
    `sendMoney`
    `sendTransaction`
    `setAccountInfo`
    `setAccountProperty`
    `setAlias`
    `setAPIProxyPeer`
    `setAssetProperty`
    `setLogging`
    `setPhasingOnlyControl`
    `shufflingCancel`
    `shufflingCreate`
    `shufflingProcess`
    `shufflingRegister`
    `shufflingVerify`
    `shutdown`
    `signTransaction`
    `startForging`
    `startFundingMonitor`
    `startShuffler`
    `stopForging`
    `stopFundingMonitor`
    `stopShuffler`
    `transferAsset`
    `transferCurrency`
    `trimDerivedTables`
    `uploadTaggedData`
    `verifyPrunableMessage`
    `verifyTaggedData`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileParameter()`
    `java.util.List<java.lang.String>` | `getParameters()`
    `static ApiSpec` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ApiSpec[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### getLastExchanges

          public static final ApiSpec getLastExchanges

    - #### startFundingMonitor

          public static final ApiSpec startFundingMonitor

    - #### getExpectedAskOrders

          public static final ApiSpec getExpectedAskOrders

    - #### getAccountPublicKey

          public static final ApiSpec getAccountPublicKey

    - #### detectMimeType

          public static final ApiSpec detectMimeType

    - #### getBlocks

          public static final ApiSpec getBlocks

    - #### getAssetsByIssuer

          public static final ApiSpec getAssetsByIssuer

    - #### getExchangesByOffer

          public static final ApiSpec getExchangesByOffer

    - #### getAllOpenBidOrders

          public static final ApiSpec getAllOpenBidOrders

    - #### dgsPurchase

          public static final ApiSpec dgsPurchase

    - #### getAccountBlockCount

          public static final ApiSpec getAccountBlockCount

    - #### deleteAlias

          public static final ApiSpec deleteAlias

    - #### decodeFileToken

          public static final ApiSpec decodeFileToken

    - #### getPlugins

          public static final ApiSpec getPlugins

    - #### getDataTagsLike

          public static final ApiSpec getDataTagsLike

    - #### getFundingMonitor

          public static final ApiSpec getFundingMonitor

    - #### getPolls

          public static final ApiSpec getPolls

    - #### downloadTaggedData

          public static final ApiSpec downloadTaggedData

    - #### getDataTags

          public static final ApiSpec getDataTags

    - #### getPollVote

          public static final ApiSpec getPollVote

    - #### getAssetDeletes

          public static final ApiSpec getAssetDeletes

    - #### addPeer

          public static final ApiSpec addPeer

    - #### getSharedKey

          public static final ApiSpec getSharedKey

    - #### decodeToken

          public static final ApiSpec decodeToken

    - #### popOff

          public static final ApiSpec popOff

    - #### getAccountPhasedTransactions

          public static final ApiSpec getAccountPhasedTransactions

    - #### getAvailableToBuy

          public static final ApiSpec getAvailableToBuy

    - #### getNextBlockGenerators

          public static final ApiSpec getNextBlockGenerators

    - #### getExpectedAssetDeletes

          public static final ApiSpec getExpectedAssetDeletes

    - #### startForging

          public static final ApiSpec startForging

    - #### getTaggedDataExtendTransactions

          public static final ApiSpec getTaggedDataExtendTransactions

    - #### getAssetAccounts

          public static final ApiSpec getAssetAccounts

    - #### getCurrencyFounders

          public static final ApiSpec getCurrencyFounders

    - #### currencyBuy

          public static final ApiSpec currencyBuy

    - #### decodeQRCode

          public static final ApiSpec decodeQRCode

    - #### getAllExchanges

          public static final ApiSpec getAllExchanges

    - #### getCurrencyTransfers

          public static final ApiSpec getCurrencyTransfers

    - #### getExpectedOrderCancellations

          public static final ApiSpec getExpectedOrderCancellations

    - #### eventRegister

          public static final ApiSpec eventRegister

    - #### scan

          public static final ApiSpec scan

    - #### hexConvert

          public static final ApiSpec hexConvert

    - #### getPhasingOnlyControl

          public static final ApiSpec getPhasingOnlyControl

    - #### getDGSTagCount

          public static final ApiSpec getDGSTagCount

    - #### getOffer

          public static final ApiSpec getOffer

    - #### encodeQRCode

          public static final ApiSpec encodeQRCode

    - #### getChannelTaggedData

          public static final ApiSpec getChannelTaggedData

    - #### getAvailableToSell

          public static final ApiSpec getAvailableToSell

    - #### cancelBidOrder

          public static final ApiSpec cancelBidOrder

    - #### shufflingCancel

          public static final ApiSpec shufflingCancel

    - #### getAssetProperties

          public static final ApiSpec getAssetProperties

    - #### getAccount

          public static final ApiSpec getAccount

    - #### blacklistAPIProxyPeer

          public static final ApiSpec blacklistAPIProxyPeer

    - #### getPeer

          public static final ApiSpec getPeer

    - #### getAccountCurrentAskOrderIds

          public static final ApiSpec getAccountCurrentAskOrderIds

    - #### getUnconfirmedTransactionIds

          public static final ApiSpec getUnconfirmedTransactionIds

    - #### getAccountShufflings

          public static final ApiSpec getAccountShufflings

    - #### getExpectedSellOffers

          public static final ApiSpec getExpectedSellOffers

    - #### dgsPriceChange

          public static final ApiSpec dgsPriceChange

    - #### getAliasesLike

          public static final ApiSpec getAliasesLike

    - #### dgsListing

          public static final ApiSpec dgsListing

    - #### getBidOrder

          public static final ApiSpec getBidOrder

    - #### sendMessage

          public static final ApiSpec sendMessage

    - #### getAllBroadcastedTransactions

          public static final ApiSpec getAllBroadcastedTransactions

    - #### placeBidOrder

          public static final ApiSpec placeBidOrder

    - #### getAccountBlocks

          public static final ApiSpec getAccountBlocks

    - #### getShuffling

          public static final ApiSpec getShuffling

    - #### setAPIProxyPeer

          public static final ApiSpec setAPIProxyPeer

    - #### getAccountCurrencies

          public static final ApiSpec getAccountCurrencies

    - #### getExpectedTransactions

          public static final ApiSpec getExpectedTransactions

    - #### getAccountCurrentBidOrderIds

          public static final ApiSpec getAccountCurrentBidOrderIds

    - #### getAllPhasingOnlyControls

          public static final ApiSpec getAllPhasingOnlyControls

    - #### dgsRefund

          public static final ApiSpec dgsRefund

    - #### getAssetIds

          public static final ApiSpec getAssetIds

    - #### getTaggedData

          public static final ApiSpec getTaggedData

    - #### searchAccounts

          public static final ApiSpec searchAccounts

    - #### getAccountLedger

          public static final ApiSpec getAccountLedger

    - #### getAccountAssets

          public static final ApiSpec getAccountAssets

    - #### deleteAccountProperty

          public static final ApiSpec deleteAccountProperty

    - #### getBlockchainTransactions

          public static final ApiSpec getBlockchainTransactions

    - #### sendMoney

          public static final ApiSpec sendMoney

    - #### extendTaggedData

          public static final ApiSpec extendTaggedData

    - #### getMyInfo

          public static final ApiSpec getMyInfo

    - #### getAccountTaggedData

          public static final ApiSpec getAccountTaggedData

    - #### getAllTrades

          public static final ApiSpec getAllTrades

    - #### getStackTraces

          public static final ApiSpec getStackTraces

    - #### rsConvert

          public static final ApiSpec rsConvert

    - #### searchTaggedData

          public static final ApiSpec searchTaggedData

    - #### getAllTaggedData

          public static final ApiSpec getAllTaggedData

    - #### getDGSPendingPurchases

          public static final ApiSpec getDGSPendingPurchases

    - #### getECBlock

          public static final ApiSpec getECBlock

    - #### generateFileToken

          public static final ApiSpec generateFileToken

    - #### searchDGSGoods

          public static final ApiSpec searchDGSGoods

    - #### getAccountPhasedTransactionCount

          public static final ApiSpec getAccountPhasedTransactionCount

    - #### getCurrencyAccounts

          public static final ApiSpec getCurrencyAccounts

    - #### shufflingCreate

          public static final ApiSpec shufflingCreate

    - #### getAlias

          public static final ApiSpec getAlias

    - #### getPhasingPolls

          public static final ApiSpec getPhasingPolls

    - #### markHost

          public static final ApiSpec markHost

    - #### canDeleteCurrency

          public static final ApiSpec canDeleteCurrency

    - #### managePeersNetworking

          public static final ApiSpec managePeersNetworking

    - #### getPhasingPollVote

          public static final ApiSpec getPhasingPollVote

    - #### stopFundingMonitor

          public static final ApiSpec stopFundingMonitor

    - #### getTime

          public static final ApiSpec getTime

    - #### buyAlias

          public static final ApiSpec buyAlias

    - #### searchPolls

          public static final ApiSpec searchPolls

    - #### eventWait

          public static final ApiSpec eventWait

    - #### castVote

          public static final ApiSpec castVote

    - #### getMintingTarget

          public static final ApiSpec getMintingTarget

    - #### generateToken

          public static final ApiSpec generateToken

    - #### longConvert

          public static final ApiSpec longConvert

    - #### getBlockId

          public static final ApiSpec getBlockId

    - #### getLastTrades

          public static final ApiSpec getLastTrades

    - #### getExpectedBidOrders

          public static final ApiSpec getExpectedBidOrders

    - #### getBidOrderIds

          public static final ApiSpec getBidOrderIds

    - #### getBlockchainStatus

          public static final ApiSpec getBlockchainStatus

    - #### getConstants

          public static final ApiSpec getConstants

    - #### getTransaction

          public static final ApiSpec getTransaction

    - #### getBlock

          public static final ApiSpec getBlock

    - #### verifyTaggedData

          public static final ApiSpec verifyTaggedData

    - #### getExchangesByExchangeRequest

          public static final ApiSpec getExchangesByExchangeRequest

    - #### getPrunableMessage

          public static final ApiSpec getPrunableMessage

    - #### dividendPayment

          public static final ApiSpec dividendPayment

    - #### broadcastTransaction

          public static final ApiSpec broadcastTransaction

    - #### currencySell

          public static final ApiSpec currencySell

    - #### blacklistPeer

          public static final ApiSpec blacklistPeer

    - #### dgsDelivery

          public static final ApiSpec dgsDelivery

    - #### setAccountProperty

          public static final ApiSpec setAccountProperty

    - #### getShufflers

          public static final ApiSpec getShufflers

    - #### getDGSGoodsPurchaseCount

          public static final ApiSpec getDGSGoodsPurchaseCount

    - #### sendTransaction

          public static final ApiSpec sendTransaction

    - #### getAssignedShufflings

          public static final ApiSpec getAssignedShufflings

    - #### getGuaranteedBalance

          public static final ApiSpec getGuaranteedBalance

    - #### fullHashToId

          public static final ApiSpec fullHashToId

    - #### getExpectedBuyOffers

          public static final ApiSpec getExpectedBuyOffers

    - #### getAskOrders

          public static final ApiSpec getAskOrders

    - #### stopForging

          public static final ApiSpec stopForging

    - #### getAccountExchangeRequests

          public static final ApiSpec getAccountExchangeRequests

    - #### downloadPrunableMessage

          public static final ApiSpec downloadPrunableMessage

    - #### getAsset

          public static final ApiSpec getAsset

    - #### clearUnconfirmedTransactions

          public static final ApiSpec clearUnconfirmedTransactions

    - #### getHoldingShufflings

          public static final ApiSpec getHoldingShufflings

    - #### getAssetDividends

          public static final ApiSpec getAssetDividends

    - #### getAssetPhasedTransactions

          public static final ApiSpec getAssetPhasedTransactions

    - #### getAccountCurrentBidOrders

          public static final ApiSpec getAccountCurrentBidOrders

    - #### dgsQuantityChange

          public static final ApiSpec dgsQuantityChange

    - #### getExpectedCurrencyTransfers

          public static final ApiSpec getExpectedCurrencyTransfers

    - #### cancelAskOrder

          public static final ApiSpec cancelAskOrder

    - #### searchAssets

          public static final ApiSpec searchAssets

    - #### getDataTagCount

          public static final ApiSpec getDataTagCount

    - #### bootstrapAPIProxy

          public static final ApiSpec bootstrapAPIProxy

    - #### dgsDelisting

          public static final ApiSpec dgsDelisting

    - #### deleteCurrency

          public static final ApiSpec deleteCurrency

    - #### getAssetTransfers

          public static final ApiSpec getAssetTransfers

    - #### getBalance

          public static final ApiSpec getBalance

    - #### getCurrencyPhasedTransactions

          public static final ApiSpec getCurrencyPhasedTransactions

    - #### setPhasingOnlyControl

          public static final ApiSpec setPhasingOnlyControl

    - #### getCurrencies

          public static final ApiSpec getCurrencies

    - #### getDGSGoods

          public static final ApiSpec getDGSGoods

    - #### currencyReserveIncrease

          public static final ApiSpec currencyReserveIncrease

    - #### deleteAssetShares

          public static final ApiSpec deleteAssetShares

    - #### setLogging

          public static final ApiSpec setLogging

    - #### getAliasCount

          public static final ApiSpec getAliasCount

    - #### getTransactionBytes

          public static final ApiSpec getTransactionBytes

    - #### retrievePrunedTransaction

          public static final ApiSpec retrievePrunedTransaction

    - #### getExpectedAssetTransfers

          public static final ApiSpec getExpectedAssetTransfers

    - #### getAllAssets

          public static final ApiSpec getAllAssets

    - #### getInboundPeers

          public static final ApiSpec getInboundPeers

    - #### hash

          public static final ApiSpec hash

    - #### createPoll

          public static final ApiSpec createPoll

    - #### verifyPrunableMessage

          public static final ApiSpec verifyPrunableMessage

    - #### getDGSPurchase

          public static final ApiSpec getDGSPurchase

    - #### getReferencingTransactions

          public static final ApiSpec getReferencingTransactions

    - #### getForging

          public static final ApiSpec getForging

    - #### readMessage

          public static final ApiSpec readMessage

    - #### luceneReindex

          public static final ApiSpec luceneReindex

    - #### deleteAssetProperty

          public static final ApiSpec deleteAssetProperty

    - #### fullReset

          public static final ApiSpec fullReset

    - #### getAccountBlockIds

          public static final ApiSpec getAccountBlockIds

    - #### getPollResult

          public static final ApiSpec getPollResult

    - #### getDGSPurchaseCount

          public static final ApiSpec getDGSPurchaseCount

    - #### getAllWaitingTransactions

          public static final ApiSpec getAllWaitingTransactions

    - #### decryptFrom

          public static final ApiSpec decryptFrom

    - #### getAccountAssetCount

          public static final ApiSpec getAccountAssetCount

    - #### getAssets

          public static final ApiSpec getAssets

    - #### getCurrenciesByIssuer

          public static final ApiSpec getCurrenciesByIssuer

    - #### getPeers

          public static final ApiSpec getPeers

    - #### getAllShufflings

          public static final ApiSpec getAllShufflings

    - #### placeAskOrder

          public static final ApiSpec placeAskOrder

    - #### rebroadcastUnconfirmedTransactions

          public static final ApiSpec rebroadcastUnconfirmedTransactions

    - #### getAllCurrencies

          public static final ApiSpec getAllCurrencies

    - #### setAccountInfo

          public static final ApiSpec setAccountInfo

    - #### getDGSGood

          public static final ApiSpec getDGSGood

    - #### getAskOrderIds

          public static final ApiSpec getAskOrderIds

    - #### getAccountCurrencyCount

          public static final ApiSpec getAccountCurrencyCount

    - #### decodeHallmark

          public static final ApiSpec decodeHallmark

    - #### getAskOrder

          public static final ApiSpec getAskOrder

    - #### getExpectedExchangeRequests

          public static final ApiSpec getExpectedExchangeRequests

    - #### getCurrencyIds

          public static final ApiSpec getCurrencyIds

    - #### shufflingProcess

          public static final ApiSpec shufflingProcess

    - #### requeueUnconfirmedTransactions

          public static final ApiSpec requeueUnconfirmedTransactions

    - #### signTransaction

          public static final ApiSpec signTransaction

    - #### getAliases

          public static final ApiSpec getAliases

    - #### trimDerivedTables

          public static final ApiSpec trimDerivedTables

    - #### getSellOffers

          public static final ApiSpec getSellOffers

    - #### getLog

          public static final ApiSpec getLog

    - #### getAssetHistory

          public static final ApiSpec getAssetHistory

    - #### deleteScheduledTransaction

          public static final ApiSpec deleteScheduledTransaction

    - #### getAccountLedgerEntry

          public static final ApiSpec getAccountLedgerEntry

    - #### transferAsset

          public static final ApiSpec transferAsset

    - #### stopShuffler

          public static final ApiSpec stopShuffler

    - #### publishExchangeOffer

          public static final ApiSpec publishExchangeOffer

    - #### getLinkedPhasedTransactions

          public static final ApiSpec getLinkedPhasedTransactions

    - #### approveTransaction

          public static final ApiSpec approveTransaction

    - #### getDGSTagsLike

          public static final ApiSpec getDGSTagsLike

    - #### parseTransaction

          public static final ApiSpec parseTransaction

    - #### getCurrency

          public static final ApiSpec getCurrency

    - #### increaseAssetShares

          public static final ApiSpec increaseAssetShares

    - #### getBidOrders

          public static final ApiSpec getBidOrders

    - #### getDGSGoodsCount

          public static final ApiSpec getDGSGoodsCount

    - #### getCurrencyAccountCount

          public static final ApiSpec getCurrencyAccountCount

    - #### getDGSPurchases

          public static final ApiSpec getDGSPurchases

    - #### getShufflingParticipants

          public static final ApiSpec getShufflingParticipants

    - #### getAccountLessors

          public static final ApiSpec getAccountLessors

    - #### setAssetProperty

          public static final ApiSpec setAssetProperty

    - #### getScheduledTransactions

          public static final ApiSpec getScheduledTransactions

    - #### startShuffler

          public static final ApiSpec startShuffler

    - #### getPoll

          public static final ApiSpec getPoll

    - #### getVoterPhasedTransactions

          public static final ApiSpec getVoterPhasedTransactions

    - #### transferCurrency

          public static final ApiSpec transferCurrency

    - #### leaseBalance

          public static final ApiSpec leaseBalance

    - #### setAlias

          public static final ApiSpec setAlias

    - #### shutdown

          public static final ApiSpec shutdown

    - #### getDGSExpiredPurchases

          public static final ApiSpec getDGSExpiredPurchases

    - #### searchCurrencies

          public static final ApiSpec searchCurrencies

    - #### shufflingRegister

          public static final ApiSpec shufflingRegister

    - #### currencyReserveClaim

          public static final ApiSpec currencyReserveClaim

    - #### getPollVotes

          public static final ApiSpec getPollVotes

    - #### getAccountCurrentAskOrders

          public static final ApiSpec getAccountCurrentAskOrders

    - #### scheduleCurrencyBuy

          public static final ApiSpec scheduleCurrencyBuy

    - #### getDGSTags

          public static final ApiSpec getDGSTags

    - #### getOrderTrades

          public static final ApiSpec getOrderTrades

    - #### getEpochTime

          public static final ApiSpec getEpochTime

    - #### sellAlias

          public static final ApiSpec sellAlias

    - #### dumpPeers

          public static final ApiSpec dumpPeers

    - #### getAllOpenAskOrders

          public static final ApiSpec getAllOpenAskOrders

    - #### getAllPrunableMessages

          public static final ApiSpec getAllPrunableMessages

    - #### dgsFeedback

          public static final ApiSpec dgsFeedback

    - #### getPhasingPoll

          public static final ApiSpec getPhasingPoll

    - #### shufflingVerify

          public static final ApiSpec shufflingVerify

    - #### getDGSGoodsPurchases

          public static final ApiSpec getDGSGoodsPurchases

    - #### getAssetAccountCount

          public static final ApiSpec getAssetAccountCount

    - #### getPhasingPollVotes

          public static final ApiSpec getPhasingPollVotes

    - #### retrievePrunedData

          public static final ApiSpec retrievePrunedData

    - #### getUnconfirmedTransactions

          public static final ApiSpec getUnconfirmedTransactions

    - #### encryptTo

          public static final ApiSpec encryptTo

    - #### getBuyOffers

          public static final ApiSpec getBuyOffers

    - #### getState

          public static final ApiSpec getState

    - #### issueCurrency

          public static final ApiSpec issueCurrency

    - #### getAccountId

          public static final ApiSpec getAccountId

    - #### issueAsset

          public static final ApiSpec issueAsset

    - #### getTrades

          public static final ApiSpec getTrades

    - #### getPrunableMessages

          public static final ApiSpec getPrunableMessages

    - #### calculateFullHash

          public static final ApiSpec calculateFullHash

    - #### currencyMint

          public static final ApiSpec currencyMint

    - #### uploadTaggedData

          public static final ApiSpec uploadTaggedData

    - #### getAccountProperties

          public static final ApiSpec getAccountProperties

    - #### getExchanges

          public static final ApiSpec getExchanges

  - ### Method Detail

    - #### values

          public static ApiSpec[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiSpec c : ApiSpec.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiSpec valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFileParameter

          public java.lang.String getFileParameter()

    - #### getParameters

          public java.util.List<java.lang.String> getParameters()